Bug 772145 - Proper error message is not shown while converting a distribute volume to distributed-stripe
Proper error message is not shown while converting a distribute volume to dis...
Status: CLOSED CURRENTRELEASE
Product: GlusterFS
Classification: Community
Component: glusterd (Show other bugs)
mainline
x86_64 Linux
medium Severity low
: ---
: ---
Assigned To: krishnan parthasarathi
shylesh
:
Depends On:
Blocks: 817967
  Show dependency treegraph
 
Reported: 2012-01-06 01:44 EST by shylesh
Modified: 2015-11-03 18:04 EST (History)
2 users (show)

See Also:
Fixed In Version: glusterfs-3.4.0
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-07-24 13:25:51 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions: 3.3.0qa42
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description shylesh 2012-01-06 01:44:50 EST
Description of problem:
Proper error message not shown upon changing the stripe count of a volume

Version-Release number of selected component (if applicable):
Mainline

How reproducible:
often

Steps to Reproduce:
1.Crate a distribute volume with one brick
2. try add-brick with stripe count 2 

  
Actual results:
Ouput shows "operation Failed"

Expected results:
It should show proper error message 

Additional info:
Comment 1 Anand Avati 2012-02-03 10:39:46 EST
CHANGE: http://review.gluster.com/2589 (glusterd: Improved err msgs for add_brick) merged in master by Vijay Bellur (vijay@gluster.com)
Comment 2 shylesh 2012-05-24 01:24:02 EDT
[root@gqac022 ~]# gluster v add-brick dis stripe 2 10.16.157.66:/home/bricks/dis-str
Changing the 'stripe count' of the volume is not a supported feature. In some cases it may result in data loss on the volume. Also the
re may be issues with regular filesystem operations on the volume after the change. Do you really want to continue with 'stripe' count
 option ?  (y/n) y


Now proper message will be shown

Note You need to log in before you can comment on or make changes to this bug.